Page MenuHomePhabricator

Make Kafka updater understand "dt" timestamp with microseconds
Closed, ResolvedPublic

Description

Updater should be able to grok timestamp like this:

"dt": "2018-10-24T00:28:24.162300+00:00"

The old one:

"dt": "2018-10-24T00:28:24+00:00",

Should still be supported.

Event Timeline

Smalyshev triaged this task as High priority.Oct 24 2018, 6:10 PM
Smalyshev created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2018, 6:10 PM

Change 469477 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/rdf@master] Make Kafka event parser understand dates with microseconds

https://gerrit.wikimedia.org/r/469477

Change 469477 merged by jenkins-bot:
[wikidata/query/rdf@master] Make Kafka event parser understand dates with microseconds

https://gerrit.wikimedia.org/r/469477

Smalyshev closed this task as Resolved.Oct 29 2018, 6:54 PM
Smalyshev claimed this task.